## net.sourceforge.pmd.ast
Class JJTJavaParserState

    java.lang.Object
      net.sourceforge.pmd.ast.JJTJavaParserState

class JJTJavaParserState
extends java.lang.Object

Constructor Summary
`(package private)` `JJTJavaParserState()`

Method Summary
`(package private) void` `clearNodeScope(Node n)`
`(package private) void` `closeNodeScope(Node n, boolean condition)`
`(package private) void` `closeNodeScope(Node n, int num)`
`(package private) int` `nodeArity()`
`(package private) boolean` `nodeCreated()`
`(package private) void` `openNodeScope(Node n)`
`(package private) Node` `peekNode()`
`(package private) Node` `popNode()`
`(package private) void` `pushNode(Node n)`
`(package private) void` `reset()`
`(package private) Node` `rootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTJavaParserState

    JJTJavaParserState()

Method Detail

### nodeCreated

    boolean nodeCreated()

### reset

    void reset()

### rootNode

    Node rootNode()

### pushNode

    void pushNode(Node n)

### popNode

    Node popNode()

### peekNode

    Node peekNode()

### nodeArity

    int nodeArity()

### clearNodeScope

    void clearNodeScope(Node n)

### openNodeScope

    void openNodeScope(Node n)

### closeNodeScope

    void closeNodeScope(Node n,
                        int num)

### closeNodeScope

    void closeNodeScope(Node n,
                        boolean condition)

Copyright © 2002-2006 InfoEther. All Rights Reserved.